byte_equal_notimingattack(3)

NAME
byte_equal_notimingattack - compare two strings

SYNTAX
#include <libowfat/byte.h>

int byte_equal_notimingattack(const char *one,size_t len,const char *two);

DESCRIPTION
byte_equal_notimingattack returns 1 if the strings are equal, 0 otherwise.

When the strings are different, byte_equal_notimingattack will still read and compare all the other bytes. That way, an attacker observing the timing of the execution can not learn where the first mismatch occurred.

SEE ALSO
byte_diff(3), byte_equal(3)